function [ alpha,result,estimate ] = OptimizationAlpha ( D,label,gamma )
[n,K] = size(D);
phi = newsample( D,gamma );
alpha = (phi'*phi)^-1 * phi' * label;
result(1) = sum( (  phi * alpha - label ).^2 )/n;
estimate = phi * alpha;
result(2) = length( find( estimate.*label >0 ) ) / length(label);
temp1 = find(label>0);
result(3) = length( find( estimate(temp1)>0 ) )/length(temp1); 
temp2 = find(label<0);
result(4) = length( find( estimate(temp2)<0 ) )/length(temp2);
result(5) = length(temp1)/length(temp2);
end

